com.pixelmed.dose

## Class RoleInOrganization

- java.lang.Object
- - com.pixelmed.dose.RoleInOrganization

    public class RoleInOrganization
    extends java.lang.Object

### Field Summary

Fields
`static RoleInOrganization` `PHYSICIAN`
`static RoleInOrganization` `RADIATION_PHYSICIST`
`static RoleInOrganization` `TECHNOLOGIST`

### Method Summary

Methods
`CodedSequenceItem` `getCodedSequenceItem()`
`static CodedSequenceItem` `getCodedSequenceItem(RoleInOrganization role)`
`static RoleInOrganization` `getRoleInOrganization(ContentItem parent)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PHYSICIAN

    public static final RoleInOrganization PHYSICIAN

#### TECHNOLOGIST

    public static final RoleInOrganization TECHNOLOGIST

#### RADIATION_PHYSICIST

    public static final RoleInOrganization RADIATION_PHYSICIST

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getRoleInOrganization

    public static RoleInOrganization getRoleInOrganization(ContentItem parent)

#### getCodedSequenceItem

    public static CodedSequenceItem getCodedSequenceItem(RoleInOrganization role)
                                                  throws DicomException

Throws:
  `DicomException`

#### getCodedSequenceItem

    public CodedSequenceItem getCodedSequenceItem()
                                           throws DicomException

Throws:
  `DicomException`